import { Property } from "csstype";

const maskStyles: Record<string, Property.MaskType> = { maskType: "alpha" }

export const NavLogo = () => {
  return (
    <svg
      width="147"
      height="32"
      viewBox="0 0 147 32"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <mask
        id="mask0_11608_1161"
        style={maskStyles}
        maskUnits="userSpaceOnUse"
        x="0"
        y="0"
        width="32"
        height="32"
      >
        <rect width="32" height="32" fill="#D9D9D9" />
      </mask>
      <g mask="url(#mask0_11608_1161)">
        <path
          d="M16.3998 30.2001C14.4887 30.0223 12.672 29.5334 10.9498 28.7334C9.22758 27.9334 7.70536 26.839 6.38314 25.4501C5.06092 24.0612 3.98869 22.4056 3.16647 20.4834C2.34425 18.5612 1.88869 16.389 1.7998 13.9667C4.04425 13.9667 6.04425 14.2834 7.7998 14.9167C9.55536 15.5501 11.0498 16.5279 12.2831 17.8501C13.5165 19.1723 14.4776 20.8556 15.1665 22.9001C15.8554 24.9445 16.2665 27.3779 16.3998 30.2001ZM15.9665 17.7667C15.2554 16.6112 14.4998 15.6723 13.6998 14.9501C12.8998 14.2279 11.8776 13.5667 10.6331 12.9667C10.7442 12.0779 10.9554 11.1223 11.2665 10.1001C11.5776 9.07786 11.9665 8.05564 12.4331 7.03342C12.8998 6.01119 13.4331 5.00008 14.0331 4.00008C14.6331 3.00008 15.2665 2.05564 15.9331 1.16675C16.6442 2.05564 17.3054 3.00008 17.9165 4.00008C18.5276 5.00008 19.072 6.02786 19.5498 7.08341C20.0276 8.13897 20.422 9.17786 20.7331 10.2001C21.0442 11.2223 21.2554 12.2001 21.3665 13.1334C20.3665 13.4445 19.3942 14.0223 18.4498 14.8667C17.5054 15.7112 16.6776 16.6779 15.9665 17.7667ZM19.3665 29.4001C19.2331 27.5779 19.0387 25.9334 18.7831 24.4667C18.5276 23.0001 18.1998 21.789 17.7998 20.8334C18.8665 18.6334 20.6165 16.8556 23.0498 15.5001C25.4831 14.1445 27.8665 13.6112 30.1998 13.9001C29.8442 18.0779 28.7498 21.4334 26.9165 23.9667C25.0831 26.5001 22.5665 28.3112 19.3665 29.4001Z"
          fill="#423C66"
        />
      </g>
      <path
        d="M40 28.3125H42.8125V17.1667H44.0417L41.0313 15.2604L53.3958 28.3125H55.9896V13.2812H53.1875V24.3958H51.9479L54.9688 26.2917L42.5938 13.2812H40V28.3125Z"
        fill="#423C66"
      />
      <path
        d="M62.5938 28.5104C63.309 28.5104 63.9722 28.4271 64.5833 28.2604C65.1944 28.0868 65.7326 27.8438 66.1979 27.5313C66.6632 27.2118 67.0243 26.8368 67.2813 26.4063H67.3333V28.3125H70.1042V21.3021C70.1042 20.4201 69.8681 19.6632 69.3958 19.0313C68.9236 18.3993 68.2431 17.9132 67.3542 17.5729C66.4653 17.2326 65.3958 17.0625 64.1458 17.0625C63 17.0625 62.0069 17.2222 61.1667 17.5417C60.3333 17.8542 59.6667 18.2882 59.1667 18.8438C58.6736 19.3924 58.3715 20.0208 58.2604 20.7292L58.2396 20.8542H60.875L60.9063 20.7604C61.0451 20.2535 61.3854 19.8507 61.9271 19.5521C62.4757 19.2535 63.2014 19.1042 64.1042 19.1042C65.1389 19.1042 65.934 19.3056 66.4896 19.7083C67.0521 20.1111 67.3333 20.6771 67.3333 21.4063V23.8229C67.3333 24.3785 67.1632 24.8646 66.8229 25.2813C66.4896 25.691 66.0174 26.0104 65.4063 26.2396C64.8021 26.4618 64.0938 26.5729 63.2813 26.5729C62.441 26.5729 61.7639 26.441 61.25 26.1771C60.7431 25.9063 60.4896 25.5 60.4896 24.9583V24.9375C60.4896 24.5139 60.6701 24.1771 61.0313 23.9271C61.3993 23.6771 61.9896 23.5417 62.8021 23.5208L68.7292 23.375V21.7188L62.4167 21.8438C61.3194 21.8715 60.4236 22.0208 59.7292 22.2917C59.0417 22.5625 58.5382 22.934 58.2188 23.4063C57.8993 23.8785 57.7396 24.4306 57.7396 25.0625V25.0729C57.7396 25.816 57.9375 26.4444 58.3333 26.9583C58.7361 27.4653 59.3021 27.8507 60.0313 28.1146C60.7604 28.3785 61.6146 28.5104 62.5938 28.5104Z"
        fill="#423C66"
      />
      <path
        d="M78.0833 28.5C78.4444 28.5 78.7882 28.4861 79.1146 28.4583C79.4479 28.4306 79.7465 28.3924 80.0104 28.3438V26.3646C79.8507 26.3924 79.6563 26.4167 79.4271 26.4375C79.2049 26.4583 78.9826 26.4688 78.7604 26.4688C77.9479 26.4688 77.3611 26.3229 77 26.0313C76.6458 25.7326 76.4688 25.2222 76.4688 24.5V19.3333H80.0104V17.3125H76.4688V14.4792H73.6875V17.3125H71.3542V19.3333H73.6875V24.8021C73.6875 26.0799 74.0417 27.0174 74.75 27.6146C75.4653 28.2049 76.5764 28.5 78.0833 28.5Z"
        fill="#423C66"
      />
      <path
        d="M86.7917 28.5625C87.5139 28.5625 88.1736 28.4653 88.7708 28.2708C89.375 28.0694 89.8993 27.7882 90.3438 27.4271C90.7951 27.066 91.1528 26.6424 91.4167 26.1563H91.4792V28.3125H94.25V17.3125H91.4792V22.7813C91.4792 23.3368 91.3854 23.8368 91.1979 24.2813C91.0174 24.7257 90.7604 25.1042 90.4271 25.4167C90.0938 25.7292 89.7014 25.9688 89.25 26.1354C88.7986 26.2951 88.2986 26.375 87.75 26.375C86.7014 26.375 85.9063 26.0868 85.3646 25.5104C84.8229 24.934 84.5521 24.1146 84.5521 23.0521V17.3125H81.7813V23.5625C81.7813 24.6181 81.9826 25.5208 82.3854 26.2708C82.7951 27.0139 83.3715 27.5833 84.1146 27.9792C84.8646 28.3681 85.7569 28.5625 86.7917 28.5625Z"
        fill="#423C66"
      />
      <path
        d="M96.4167 28.3125H99.1875V22.8542C99.1875 22.1111 99.3264 21.4861 99.6042 20.9792C99.8819 20.4653 100.278 20.0799 100.792 19.8229C101.306 19.559 101.91 19.4271 102.604 19.4271C102.847 19.4271 103.08 19.4375 103.302 19.4583C103.524 19.4792 103.722 19.5069 103.896 19.5417V17.1979C103.764 17.1701 103.604 17.1458 103.417 17.125C103.229 17.1042 103.035 17.0938 102.833 17.0938C101.931 17.0938 101.167 17.309 100.542 17.7396C99.9167 18.1701 99.4826 18.7674 99.2396 19.5313H99.1875V17.3229L96.4167 17.3125V28.3125Z"
        fill="#423C66"
      />
      <path
        d="M105.469 28.4688C105.92 28.4688 106.295 28.3229 106.594 28.0313C106.899 27.7326 107.052 27.3715 107.052 26.9479C107.052 26.5174 106.899 26.1563 106.594 25.8646C106.295 25.566 105.92 25.4167 105.469 25.4167C105.017 25.4167 104.639 25.566 104.333 25.8646C104.035 26.1563 103.885 26.5174 103.885 26.9479C103.885 27.3715 104.035 27.7326 104.333 28.0313C104.639 28.3229 105.017 28.4688 105.469 28.4688Z"
        fill="#423C66"
      />
      <path
        d="M113.573 28.5104C114.288 28.5104 114.951 28.4271 115.563 28.2604C116.174 28.0868 116.712 27.8438 117.177 27.5313C117.642 27.2118 118.003 26.8368 118.26 26.4063H118.313V28.3125H121.083V21.3021C121.083 20.4201 120.847 19.6632 120.375 19.0313C119.903 18.3993 119.222 17.9132 118.333 17.5729C117.444 17.2326 116.375 17.0625 115.125 17.0625C113.979 17.0625 112.986 17.2222 112.146 17.5417C111.313 17.8542 110.646 18.2882 110.146 18.8438C109.653 19.3924 109.351 20.0208 109.24 20.7292L109.219 20.8542H111.854L111.885 20.7604C112.024 20.2535 112.365 19.8507 112.906 19.5521C113.455 19.2535 114.181 19.1042 115.083 19.1042C116.118 19.1042 116.913 19.3056 117.469 19.7083C118.031 20.1111 118.313 20.6771 118.313 21.4063V23.8229C118.313 24.3785 118.142 24.8646 117.802 25.2813C117.469 25.691 116.997 26.0104 116.385 26.2396C115.781 26.4618 115.073 26.5729 114.26 26.5729C113.42 26.5729 112.743 26.441 112.229 26.1771C111.722 25.9063 111.469 25.5 111.469 24.9583V24.9375C111.469 24.5139 111.649 24.1771 112.01 23.9271C112.378 23.6771 112.969 23.5417 113.781 23.5208L119.708 23.375V21.7188L113.396 21.8438C112.299 21.8715 111.403 22.0208 110.708 22.2917C110.021 22.5625 109.517 22.934 109.198 23.4063C108.878 23.8785 108.719 24.4306 108.719 25.0625V25.0729C108.719 25.816 108.917 26.4444 109.313 26.9583C109.715 27.4653 110.281 27.8507 111.01 28.1146C111.74 28.3785 112.594 28.5104 113.573 28.5104Z"
        fill="#423C66"
      />
      <path
        d="M123.313 28.3125H126.083V13.2812H123.313V28.3125Z"
        fill="#423C66"
      />
      <path
        d="M128.417 28.3125H131.188V13.2812H128.417V28.3125Z"
        fill="#423C66"
      />
      <path
        d="M135.583 32C136.493 32 137.278 31.875 137.938 31.625C138.597 31.3819 139.181 30.9792 139.688 30.4167C140.194 29.8611 140.681 29.1146 141.146 28.1771L146.375 17.3125H143.458L139.406 26.375L139.938 25.9167H139.208L139.74 26.375L135.479 17.3125H132.521L137.969 28.2396L137.698 28.7188C137.42 29.1701 137.08 29.4826 136.677 29.6563C136.274 29.8368 135.785 29.9271 135.208 29.9271C134.972 29.9271 134.743 29.9132 134.521 29.8854C134.299 29.8576 134.097 29.8229 133.917 29.7813V31.8333C134.139 31.8819 134.392 31.9201 134.677 31.9479C134.969 31.9826 135.271 32 135.583 32Z"
        fill="#423C66"
      />
    </svg>
  );
};
